Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class LifespanPolicyValue

    java.lang.Object
      org.omg.PortableServer.LifespanPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class LifespanPolicyValue

extends Object
implements IDLEntity

The LifespanPolicyValue can have the following values. TRANSIENT - The objects implemented in the POA cannot outlive the POA instance in which they are first created. PERSISTENT - The objects implemented in the POA can outlive the process in which they are first created.

Field Summary
`static int` | `_PERSISTENT`
`static int` | `_TRANSIENT`
`static LifespanPolicyValue` | `PERSISTENT`
`static LifespanPolicyValue` | `TRANSIENT`

Constructor Summary
`protected` | `LifespanPolicyValue(int value)`

Method Summary
`static LifespanPolicyValue` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _TRANSIENT

    public static final int _TRANSIENT

See Also:
  Constant Field Values

### TRANSIENT

    public static final LifespanPolicyValue TRANSIENT

### _PERSISTENT

    public static final int _PERSISTENT

See Also:
  Constant Field Values

### PERSISTENT

    public static final LifespanPolicyValue PERSISTENT

Constructor Detail

### LifespanPolicyValue

    protected LifespanPolicyValue(int value)

Method Detail

### value

    public int value()

### from_int

    public static LifespanPolicyValue from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.